Bug 95161 - [NEW PORT] editors/zim: WYSIWYG text editor written in Gtk2-Perl
Summary: [NEW PORT] editors/zim: WYSIWYG text editor written in Gtk2-Perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-31 19:20 UTC by Jose Alonso Cardenas Marquez
Modified: 2006-06-11 11:32 UTC (History)
0 users

See Also:


Attachments
zim-0.14.shar (5.53 KB, text/plain)
2006-03-31 19:20 UTC, Jose Alonso Cardenas Marquez
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Alonso Cardenas Marquez 2006-03-31 19:20:15 UTC
- Please see optional dependency pr=94848

Zim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring the 
concept of a wiki to your desktop. Every page is saved as a text file with 
wiki markup. 

Pages can contain links to other pages, and are saved automatically. Creating 
a new page is as easy as linking to a non-existing page. 

Pages are ordered in a hierarchical structure that gives it the look and feel
of an outliner.

WWW:	http://zoidberg.student.utwente.nl/zim/
Comment 1 Jose Alonso Cardenas Marquez 2006-06-01 07:06:28 UTC
- New shar file
- Updated zim to 0.15
- Added new dependency (devel/p5-File-DesktopEntry), please see PR/98259
- Tiny modifications

--- zim-0.15.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	zim
#	zim/pkg-descr
#	zim/Makefile
#	zim/pkg-plist
#	zim/distinfo
#
echo c - zim
mkdir -p zim > /dev/null 2>&1
echo x - zim/pkg-descr
sed 's/^X//' >zim/pkg-descr << 'END-of-zim/pkg-descr'
XZim is a WYSIWYG text editor written in Gtk2-Perl which aims to bring the 
Xconcept of a wiki to your desktop. Every page is saved as a text file with 
Xwiki markup. 
X
XPages can contain links to other pages, and are saved automatically. Creating 
Xa new page is as easy as linking to a non-existing page. 
X
XPages are ordered in a hierarchical structure that gives it the look and feel
Xof an outliner.
X
XWWW:	http://zoidberg.student.utwente.nl/zim/
END-of-zim/pkg-descr
echo x - zim/Makefile
sed 's/^X//' >zim/Makefile << 'END-of-zim/Makefile'
X# New ports collection makefile for:	zim
X# Date created:		2006-03-21
X# Whom:			Jose Alonso Cardenas Marquez <acardenas@bsd.org.pe>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	zim
XPORTVERSION=	0.15
XCATEGORIES=	editors perl5
XMASTER_SITES=	http://zoidberg.student.utwente.nl/downloads/Zim/ \
X		ftp://zoidberg.student.utwente.nl/Zim/
XDISTNAME=	Zim-${PORTVERSION}
X
XMAINTAINER=	acardenas@bsd.org.pe
XCOMMENT=	WYSIWYG text editor written in Gtk2-Perl
X
XBUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Gtk2.pm:${PORTSDIR}/x11-toolkits/p5-Gtk2 \
X		${SITE_PERL}/${PERL_ARCH}/File/Spec.pm:${PORTSDIR}/devel/p5-PathTools \
X		${SITE_PERL}/${PERL_ARCH}/Storable.pm:${PORTSDIR}/devel/p5-Storable \
X		${SITE_PERL}/File/MimeInfo.pm:${PORTSDIR}/devel/p5-File-MimeInfo \
X		${SITE_PERL}/File/DesktopEntry.pm:${PORTSDIR}/devel/p5-File-DesktopEntry
X
XUSE_GNOME=	gtk20
XPERL_MODBUILD=	yes
XMAN1=	zim.1
XMAN3=	Gtk2::Ex::DesktopEntryMenu.3 \
X	Gtk2::Ex::FormManager.3 \
X	Gtk2::Ex::HyperTextBuffer.3 \
X	Gtk2::Ex::HyperTextView.3 \
X	Gtk2::Ex::PathBar.3 \
X	Zim.3 \
X	Zim::Components::Calendar.3 \
X	Zim::Components::PageView.3 \
X	Zim::Components::PathBar.3 \
X	Zim::Components::SearchDialog.3 \
X	Zim::Components::Spell.3 \
X	Zim::Components::TrayIcon.3 \
X	Zim::Components::TreeView.3 \
X	Zim::File.3 \
X	Zim::Formats::Html.3 \
X	Zim::Formats::Pod.3 \
X	Zim::Formats::Wiki.3 \
X	Zim::Formats::XML.3 \
X	Zim::History.3 \
X	Zim::Page.3 \
X	Zim::Page::Text.3 \
X	Zim::Repository.3 \
X	Zim::Repository::Base.3 \
X	Zim::Repository::DBI.3 \
X	Zim::Repository::Files.3 \
X	Zim::Repository::Man.3 \
X	Zim::Win32.3
X
XOPTIONS=	TRAYICON	"Support trayicon"	on \
X		SPELL	"Support spell"	on
X
X.include <bsd.port.pre.mk>
X
X.if !defined(WITHOUT_TRAYICON)
XBUILD_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Gtk2/TrayIcon.pm:${PORTSDIR}/x11-toolkits/p5-Gtk2-TrayIcon/
X.endif
X
X.if !defined(WITHOUT_SPELL)
XBUILD_DEPENDS+=	${SITE_PERL}/${PERL_ARCH}/Gtk2/Spell.pm:${PORTSDIR}/devel/p5-Gtk2-Spell
X.endif
X
X.include <bsd.port.post.mk>
END-of-zim/Makefile
echo x - zim/pkg-plist
sed 's/^X//' >zim/pkg-plist << 'END-of-zim/pkg-plist'
Xbin/zim
X%%SITE_PERL%%/Gtk2/Ex/DesktopEntryMenu.pm
X%%SITE_PERL%%/Gtk2/Ex/FormManager.pm
X%%SITE_PERL%%/Gtk2/Ex/HyperTextBuffer.pm
X%%SITE_PERL%%/Gtk2/Ex/HyperTextView.pm
X%%SITE_PERL%%/Gtk2/Ex/PathBar.pm
X%%SITE_PERL%%/Zim.pm
X%%SITE_PERL%%/Zim/Components/Calendar.pm
X%%SITE_PERL%%/Zim/Components/PageView.pm
X%%SITE_PERL%%/Zim/Components/PathBar.pm
X%%SITE_PERL%%/Zim/Components/SearchDialog.pm
X%%SITE_PERL%%/Zim/Components/Spell.pm
X%%SITE_PERL%%/Zim/Components/TrayIcon.pm
X%%SITE_PERL%%/Zim/Components/TreeView.pm
X%%SITE_PERL%%/Zim/File.pm
X%%SITE_PERL%%/Zim/Formats/Html.pm
X%%SITE_PERL%%/Zim/Formats/Pod.pm
X%%SITE_PERL%%/Zim/Formats/Wiki.pm
X%%SITE_PERL%%/Zim/Formats/XML.pm
X%%SITE_PERL%%/Zim/History.pm
X%%SITE_PERL%%/Zim/Page.pm
X%%SITE_PERL%%/Zim/Page/Text.pm
X%%SITE_PERL%%/Zim/Repository.pm
X%%SITE_PERL%%/Zim/Repository/Base.pm
X%%SITE_PERL%%/Zim/Repository/DBI.pm
X%%SITE_PERL%%/Zim/Repository/Files.pm
X%%SITE_PERL%%/Zim/Repository/Man.pm
X%%SITE_PERL%%/Zim/Win32.pm
Xshare/applications/zim.desktop
Xshare/pixmaps/zim.png
X%%DATADIR%%/doc/.zim.config
X%%DATADIR%%/doc/Help.txt
X%%DATADIR%%/doc/zim.png
X%%DATADIR%%/doc/zim/about.txt
X%%DATADIR%%/doc/zim/bugs.txt
X%%DATADIR%%/doc/zim/changelog.txt
X%%DATADIR%%/doc/zim/development/class_diagram.txt
X%%DATADIR%%/doc/zim/development/database.txt
X%%DATADIR%%/doc/zim/development/formats.txt
X%%DATADIR%%/doc/zim/development/page.txt
X%%DATADIR%%/doc/zim/development/repository.txt
X%%DATADIR%%/doc/zim/development/todo.txt
X%%DATADIR%%/doc/zim/faq.txt
X%%DATADIR%%/doc/zim/features.txt
X%%DATADIR%%/doc/zim/usage.txt
X%%DATADIR%%/doc/zim/usage/autoformat.txt
X%%DATADIR%%/doc/zim/usage/commandline.txt
X%%DATADIR%%/doc/zim/usage/exporting.txt
X%%DATADIR%%/doc/zim/usage/getting_started.txt
X%%DATADIR%%/doc/zim/usage/html_entities.txt
X%%DATADIR%%/doc/zim/usage/keybindings.txt
X%%DATADIR%%/doc/zim/usage/links.txt
X%%DATADIR%%/doc/zim/usage/plugins.txt
X%%DATADIR%%/doc/zim/usage/preferences.txt
X%%DATADIR%%/doc/zim/usage/repositories.txt
X%%DATADIR%%/doc/zim/usage/searching.txt
X%%DATADIR%%/doc/zim/usage/strategies.txt
X%%DATADIR%%/doc/zim/usage/syntax.txt
X%%DATADIR%%/plugins/Calendar.pl
X%%DATADIR%%/plugins/Spell.pl
X%%DATADIR%%/plugins/TrayIcon.pl
X%%DATADIR%%/templates/Default.html
X%%DATADIR%%/templates/Slides.html
X%%DATADIR%%/urls.list
X%%DATADIR%%/zim.svg
X@dirrmtry %%SITE_PERL%%/Gtk2/Ex
X@dirrmtry %%SITE_PERL%%/Gtk2
X@dirrm %%SITE_PERL%%/Zim/Components
X@dirrm %%SITE_PERL%%/Zim/Repository
X@dirrm %%SITE_PERL%%/Zim/Formats
X@dirrm %%SITE_PERL%%/Zim/Page
X@dirrm %%SITE_PERL%%/Zim
X@dirrm %%DATADIR%%/plugins
X@dirrm %%DATADIR%%/doc/zim/usage
X@dirrm %%DATADIR%%/doc/zim/development
X@dirrm %%DATADIR%%/doc/zim
X@dirrm %%DATADIR%%/doc
X@dirrm %%DATADIR%%/templates
X@dirrm %%DATADIR%%
END-of-zim/pkg-plist
echo x - zim/distinfo
sed 's/^X//' >zim/distinfo << 'END-of-zim/distinfo'
XMD5 (Zim-0.15.tar.gz) = b646b30b63a435d52552ffc5e5b32334
XSHA256 (Zim-0.15.tar.gz) = 23ff2140bf52b0aa5b8ab474203151177aa3a9684d5b9cd73f2f100d1bdde652
XSIZE (Zim-0.15.tar.gz) = 117215
END-of-zim/distinfo
exit
--- zim-0.15.shar ends here ---

Greetings
ACM
-- 
Grupo de Usuarios *BSD Peru - BSDPeru
http://www.bsd.org.pe
Comment 2 Pav Lucistnik freebsd_committer 2006-06-11 11:31:54 UTC
State Changed
From-To: open->closed

New port added, thank you!